Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Interface HtmlConstants

    public interface HtmlConstants

Common HTML elements and attributes names.

Version:
  $Revision: 1.1.2.6 $ $Date: 2007/02/08 19:07:16 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Field Summary
`static String` | `A_ELEMENT`
`static String` | `ACCEPT_ATTRIBUTE`
`static String` | `ACCEPT_CHARSET_ATTRIBUTE`
`static String` | `ACCESSKEY_ATTRIBUTE`
`static String` | `ACTION_ATTRIBUTE`
`static String` | `ALIGN_ATTRIBUTE`
`static String` | `ALT_ATTRIBUTE`
`static String` | `AUTOCOMPLETE_ATTRIBUTE`
`static String` | `BGCOLOR_ATTRIBUTE`
`static String` | `BODY_ELEMENT`
`static String` | `BORDER_ATTRIBUTE`
`static String` | `BR_ELEMENT`
`static String` | `BUTTON`
`static String` | `CAPTION_ELEMENT`
`static String` | `CELLPADDING_ATTRIBUTE`
`static String` | `CELLSPACING_ATTRIBUTE`
`static String` | `CHARSET_ATTR`
`static String` | `CLASS_ATTRIBUTE`
`static String` | `COL_ELEMENT`
`static String` | `COLGROUP_ELEMENT`
`static String` | `COLS_ATTRIBUTE`
`static String` | `COLSPAN_ATTRIBUTE`
`static String` | `COORDS_ATTR`
`static String` | `CSS_TYPE`
`static String` | `DD_ELEMENT`
`static String` | `DIR_ATTRIBUTE`
`static String` | `DISABLED_ATTR`
`static String` | `DIV_ELEM`
`static String` | `DL_ELEMENT`
`static String` | `DT_ELEMENT`
`static String` | `ENCTYPE_ATTRIBUTE`
`static String` | `FORM_ELEMENT`
`static String` | `FRAME_ATTRIBUTE`
`static String` | `HEAD_ELEMENT`
`static String` | `HEIGHT_ATTRIBUTE`
`static String` | `HREF_ATTR`
`static String` | `HREFLANG_ATTR`
`static String` | `HTML_ELEMENT`
`static String` | `ID_ATTRIBUTE`
`static String` | `IMG_ELEMENT`
`static String` | `INPUT_ELEM`
`static String` | `INPUT_TYPE_HIDDEN`
`static String` | `JAVASCRIPT_TYPE`
`static String` | `LANG_ATTRIBUTE`
`static String` | `LI_ELEMENT`
`static String` | `LINK_ELEMENT`
`static String` | `LONGDESC_ATTRIBUTE`
`static String` | `MAXLENGTH_ATTRIBUTE`
`static String` | `MEDIA_ATTRIBUTE`
`static String` | `METHOD_ATTRIBUTE`
`static String` | `NAME_ATTRIBUTE`
`static String` | `NOWRAP_ATTRIBUTE`
`static String` | `OL_ELEMENT`
`static String` | `ONBLUR_ATTRIBUTE`
`static String` | `ONCHANGE_ATTRIBUTE`
`static String` | `ONCLICK_ATTRIBUTE`
`static String` | `ONDBLCLICK_ATTRIBUTE`
`static String` | `ONFOCUS_ATTRIBUTE`
`static String` | `ONKEYDOWN_ATTRIBUTE`
`static String` | `ONKEYPRESS_ATTRIBUTE`
`static String` | `ONKEYUP_ATTRIBUTE`
`static String` | `ONLOAD_ATTRIBUTE`
`static String` | `ONMOUSEDOWN_ATTRIBUTE`
`static String` | `ONMOUSEMOVE_ATTRIBUTE`
`static String` | `ONMOUSEOUT_ATTRIBUTE`
`static String` | `ONMOUSEOVER_ATTRIBUTE`
`static String` | `ONMOUSEUP_ATTRIBUTE`
`static String` | `ONRESET_ATTRIBUTE`
`static String` | `ONSELECT_ATTRIBUTE`
`static String` | `ONSUBMIT_ATTRIBUTE`
`static String` | `ONUNLOAD_ATTRIBUTE`
`static String` | `OPTION_ELEM`
`static String[]` | `PASS_THRU`
`static String[]` | `PASS_THRU_BOOLEAN` HTML attributes allowed boolean-values only
`static String[]` | `PASS_THRU_EVENTS`
`static String[]` | `PASS_THRU_STYLES`
`static String[]` | `PASS_THRU_URI` all HTML attributes with URI value.
`static String` | `READONLY_ATTRIBUTE`
`static String` | `REL_ATTR`
`static String` | `REL_STYLESHEET`
`static String` | `REV_ATTR`
`static String` | `ROWS_ATTRIBUTE`
`static String` | `ROWSPAN_ATTRIBUTE`
`static String` | `RULES_ATTRIBUTE`
`static String` | `SCOPE_ATTRIBUTE`
`static String` | `SCRIPT_ELEM`
`static String` | `SHAPE_ATTR`
`static String` | `SIZE_ATTRIBUTE`
`static String` | `SPAN_ELEM`
`static String` | `SRC_ATTRIBUTE`
`static String` | `STYLE_ATTRIBUTE`
`static String` | `STYLE_CLASS_ATTR`
`static String` | `SUMMARY_ATTRIBUTE`
`static String` | `TABINDEX_ATTRIBUTE`
`static String` | `TABLE_ELEMENT`
`static String` | `TARGET_ATTRIBUTE`
`static String` | `TBODY_ELEMENT`
`static String` | `TD_ELEM`
`static String` | `TEXT_JAVASCRIPT_TYPE`
`static String` | `TFOOT_ELEMENT`
`static String` | `TH_ELEM`
`static String` | `THEAD_ELEMENT`
`static String` | `TITLE_ATTRIBUTE`
`static String` | `TITLE_ELEM`
`static String` | `TR_ELEMENT`
`static String` | `TYPE_ATTR`
`static String` | `UL_ELEMENT`
`static String` | `USEMAP_ATTRIBUTE`
`static String` | `VALIGN_ATTRIBUTE`
`static String` | `VALUE_ATTRIBUTE`
`static String` | `WIDTH_ATTRIBUTE`

Field Detail

### A_ELEMENT

    static final String A_ELEMENT

See Also:
  Constant Field Values

### BR_ELEMENT

    static final String BR_ELEMENT

See Also:
  Constant Field Values

### BODY_ELEMENT

    static final String BODY_ELEMENT

See Also:
  Constant Field Values

### IMG_ELEMENT

    static final String IMG_ELEMENT

See Also:
  Constant Field Values

### INPUT_ELEM

    static final String INPUT_ELEM

See Also:
  Constant Field Values

### OPTION_ELEM

    static final String OPTION_ELEM

See Also:
  Constant Field Values

### INPUT_TYPE_HIDDEN

    static final String INPUT_TYPE_HIDDEN

See Also:
  Constant Field Values

### BUTTON

    static final String BUTTON

See Also:
  Constant Field Values

### CAPTION_ELEMENT

    static final String CAPTION_ELEMENT

See Also:
  Constant Field Values

### CHARSET_ATTR

    static final String CHARSET_ATTR

See Also:
  Constant Field Values

### COORDS_ATTR

    static final String COORDS_ATTR

See Also:
  Constant Field Values

### COLGROUP_ELEMENT

    static final String COLGROUP_ELEMENT

See Also:
  Constant Field Values

### COL_ELEMENT

    static final String COL_ELEMENT

See Also:
  Constant Field Values

### DISABLED_ATTR

    static final String DISABLED_ATTR

See Also:
  Constant Field Values

### DIV_ELEM

    static final String DIV_ELEM

See Also:
  Constant Field Values

### DD_ELEMENT

    static final String DD_ELEMENT

See Also:
  Constant Field Values

### DL_ELEMENT

    static final String DL_ELEMENT

See Also:
  Constant Field Values

### DT_ELEMENT

    static final String DT_ELEMENT

See Also:
  Constant Field Values

### FORM_ELEMENT

    static final String FORM_ELEMENT

See Also:
  Constant Field Values

### HEAD_ELEMENT

    static final String HEAD_ELEMENT

See Also:
  Constant Field Values

### HEIGHT_ATTRIBUTE

    static final String HEIGHT_ATTRIBUTE

See Also:
  Constant Field Values

### HREFLANG_ATTR

    static final String HREFLANG_ATTR

See Also:
  Constant Field Values

### HREF_ATTR

    static final String HREF_ATTR

See Also:
  Constant Field Values

### HTML_ELEMENT

    static final String HTML_ELEMENT

See Also:
  Constant Field Values

### LINK_ELEMENT

    static final String LINK_ELEMENT

See Also:
  Constant Field Values

### SCRIPT_ELEM

    static final String SCRIPT_ELEM

See Also:
  Constant Field Values

### SPAN_ELEM

    static final String SPAN_ELEM

See Also:
  Constant Field Values

### TFOOT_ELEMENT

    static final String TFOOT_ELEMENT

See Also:
  Constant Field Values

### THEAD_ELEMENT

    static final String THEAD_ELEMENT

See Also:
  Constant Field Values

### TABLE_ELEMENT

    static final String TABLE_ELEMENT

See Also:
  Constant Field Values

### TBODY_ELEMENT

    static final String TBODY_ELEMENT

See Also:
  Constant Field Values

### TD_ELEM

    static final String TD_ELEM

See Also:
  Constant Field Values

### TR_ELEMENT

    static final String TR_ELEMENT

See Also:
  Constant Field Values

### TH_ELEM

    static final String TH_ELEM

See Also:
  Constant Field Values

### TITLE_ELEM

    static final String TITLE_ELEM

See Also:
  Constant Field Values

### UL_ELEMENT

    static final String UL_ELEMENT

See Also:
  Constant Field Values

### OL_ELEMENT

    static final String OL_ELEMENT

See Also:
  Constant Field Values

### LI_ELEMENT

    static final String LI_ELEMENT

See Also:
  Constant Field Values

### FRAME_ATTRIBUTE

    static final String FRAME_ATTRIBUTE

See Also:
  Constant Field Values

### BORDER_ATTRIBUTE

    static final String BORDER_ATTRIBUTE

See Also:
  Constant Field Values

### BGCOLOR_ATTRIBUTE

    static final String BGCOLOR_ATTRIBUTE

See Also:
  Constant Field Values

### ACCEPT_ATTRIBUTE

    static final String ACCEPT_ATTRIBUTE

See Also:
  Constant Field Values

### ACCEPT_CHARSET_ATTRIBUTE

    static final String ACCEPT_CHARSET_ATTRIBUTE

See Also:
  Constant Field Values

### ACCESSKEY_ATTRIBUTE

    static final String ACCESSKEY_ATTRIBUTE

See Also:
  Constant Field Values

### ACTION_ATTRIBUTE

    static final String ACTION_ATTRIBUTE

See Also:
  Constant Field Values

### ALIGN_ATTRIBUTE

    static final String ALIGN_ATTRIBUTE

See Also:
  Constant Field Values

### ALT_ATTRIBUTE

    static final String ALT_ATTRIBUTE

See Also:
  Constant Field Values

### AUTOCOMPLETE_ATTRIBUTE

    static final String AUTOCOMPLETE_ATTRIBUTE

See Also:
  Constant Field Values

### CLASS_ATTRIBUTE

    static final String CLASS_ATTRIBUTE

See Also:
  Constant Field Values

### COLS_ATTRIBUTE

    static final String COLS_ATTRIBUTE

See Also:
  Constant Field Values

### COLSPAN_ATTRIBUTE

    static final String COLSPAN_ATTRIBUTE

See Also:
  Constant Field Values

### CELLPADDING_ATTRIBUTE

    static final String CELLPADDING_ATTRIBUTE

See Also:
  Constant Field Values

### CELLSPACING_ATTRIBUTE

    static final String CELLSPACING_ATTRIBUTE

See Also:
  Constant Field Values

### DIR_ATTRIBUTE

    static final String DIR_ATTRIBUTE

See Also:
  Constant Field Values

### ENCTYPE_ATTRIBUTE

    static final String ENCTYPE_ATTRIBUTE

See Also:
  Constant Field Values

### ID_ATTRIBUTE

    static final String ID_ATTRIBUTE

See Also:
  Constant Field Values

### LANG_ATTRIBUTE

    static final String LANG_ATTRIBUTE

See Also:
  Constant Field Values

### LONGDESC_ATTRIBUTE

    static final String LONGDESC_ATTRIBUTE

See Also:
  Constant Field Values

### MAXLENGTH_ATTRIBUTE

    static final String MAXLENGTH_ATTRIBUTE

See Also:
  Constant Field Values

### MEDIA_ATTRIBUTE

    static final String MEDIA_ATTRIBUTE

See Also:
  Constant Field Values

### METHOD_ATTRIBUTE

    static final String METHOD_ATTRIBUTE

See Also:
  Constant Field Values

### NAME_ATTRIBUTE

    static final String NAME_ATTRIBUTE

See Also:
  Constant Field Values

### NOWRAP_ATTRIBUTE

    static final String NOWRAP_ATTRIBUTE

See Also:
  Constant Field Values

### ROWS_ATTRIBUTE

    static final String ROWS_ATTRIBUTE

See Also:
  Constant Field Values

### RULES_ATTRIBUTE

    static final String RULES_ATTRIBUTE

See Also:
  Constant Field Values

### ROWSPAN_ATTRIBUTE

    static final String ROWSPAN_ATTRIBUTE

See Also:
  Constant Field Values

### READONLY_ATTRIBUTE

    static final String READONLY_ATTRIBUTE

See Also:
  Constant Field Values

### SIZE_ATTRIBUTE

    static final String SIZE_ATTRIBUTE

See Also:
  Constant Field Values

### SRC_ATTRIBUTE

    static final String SRC_ATTRIBUTE

See Also:
  Constant Field Values

### STYLE_ATTRIBUTE

    static final String STYLE_ATTRIBUTE

See Also:
  Constant Field Values

### SUMMARY_ATTRIBUTE

    static final String SUMMARY_ATTRIBUTE

See Also:
  Constant Field Values

### SCOPE_ATTRIBUTE

    static final String SCOPE_ATTRIBUTE

See Also:
  Constant Field Values

### TABINDEX_ATTRIBUTE

    static final String TABINDEX_ATTRIBUTE

See Also:
  Constant Field Values

### TITLE_ATTRIBUTE

    static final String TITLE_ATTRIBUTE

See Also:
  Constant Field Values

### TARGET_ATTRIBUTE

    static final String TARGET_ATTRIBUTE

See Also:
  Constant Field Values

### TYPE_ATTR

    static final String TYPE_ATTR

See Also:
  Constant Field Values

### USEMAP_ATTRIBUTE

    static final String USEMAP_ATTRIBUTE

See Also:
  Constant Field Values

### VALIGN_ATTRIBUTE

    static final String VALIGN_ATTRIBUTE

See Also:
  Constant Field Values

### VALUE_ATTRIBUTE

    static final String VALUE_ATTRIBUTE

See Also:
  Constant Field Values

### WIDTH_ATTRIBUTE

    static final String WIDTH_ATTRIBUTE

See Also:
  Constant Field Values

### ONBLUR_ATTRIBUTE

    static final String ONBLUR_ATTRIBUTE

See Also:
  Constant Field Values

### ONCHANGE_ATTRIBUTE

    static final String ONCHANGE_ATTRIBUTE

See Also:
  Constant Field Values

### ONCLICK_ATTRIBUTE

    static final String ONCLICK_ATTRIBUTE

See Also:
  Constant Field Values

### ONDBLCLICK_ATTRIBUTE

    static final String ONDBLCLICK_ATTRIBUTE

See Also:
  Constant Field Values

### ONFOCUS_ATTRIBUTE

    static final String ONFOCUS_ATTRIBUTE

See Also:
  Constant Field Values

### ONKEYDOWN_ATTRIBUTE

    static final String ONKEYDOWN_ATTRIBUTE

See Also:
  Constant Field Values

### ONKEYPRESS_ATTRIBUTE

    static final String ONKEYPRESS_ATTRIBUTE

See Also:
  Constant Field Values

### ONKEYUP_ATTRIBUTE

    static final String ONKEYUP_ATTRIBUTE

See Also:
  Constant Field Values

### ONLOAD_ATTRIBUTE

    static final String ONLOAD_ATTRIBUTE

See Also:
  Constant Field Values

### ONMOUSEDOWN_ATTRIBUTE

    static final String ONMOUSEDOWN_ATTRIBUTE

See Also:
  Constant Field Values

### ONMOUSEMOVE_ATTRIBUTE

    static final String ONMOUSEMOVE_ATTRIBUTE

See Also:
  Constant Field Values

### ONMOUSEOUT_ATTRIBUTE

    static final String ONMOUSEOUT_ATTRIBUTE

See Also:
  Constant Field Values

### ONMOUSEOVER_ATTRIBUTE

    static final String ONMOUSEOVER_ATTRIBUTE

See Also:
  Constant Field Values

### ONMOUSEUP_ATTRIBUTE

    static final String ONMOUSEUP_ATTRIBUTE

See Also:
  Constant Field Values

### ONRESET_ATTRIBUTE

    static final String ONRESET_ATTRIBUTE

See Also:
  Constant Field Values

### ONSELECT_ATTRIBUTE

    static final String ONSELECT_ATTRIBUTE

See Also:
  Constant Field Values

### ONSUBMIT_ATTRIBUTE

    static final String ONSUBMIT_ATTRIBUTE

See Also:
  Constant Field Values

### ONUNLOAD_ATTRIBUTE

    static final String ONUNLOAD_ATTRIBUTE

See Also:
  Constant Field Values

### REL_ATTR

    static final String REL_ATTR

See Also:
  Constant Field Values

### REV_ATTR

    static final String REV_ATTR

See Also:
  Constant Field Values

### SHAPE_ATTR

    static final String SHAPE_ATTR

See Also:
  Constant Field Values

### STYLE_CLASS_ATTR

    static final String STYLE_CLASS_ATTR

See Also:
  Constant Field Values

### PASS_THRU

    static final String[] PASS_THRU

### PASS_THRU_BOOLEAN

    static final String[] PASS_THRU_BOOLEAN

  HTML attributes allowed boolean-values only

### PASS_THRU_EVENTS

    static final String[] PASS_THRU_EVENTS

### PASS_THRU_STYLES

    static final String[] PASS_THRU_STYLES

### PASS_THRU_URI

    static final String[] PASS_THRU_URI

  all HTML attributes with URI value.

### TEXT_JAVASCRIPT_TYPE

    static final String TEXT_JAVASCRIPT_TYPE

See Also:
  Constant Field Values

### REL_STYLESHEET

    static final String REL_STYLESHEET

See Also:
  Constant Field Values

### CSS_TYPE

    static final String CSS_TYPE

See Also:
  Constant Field Values

### JAVASCRIPT_TYPE

    static final String JAVASCRIPT_TYPE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.